## K0eb

=== cc65/libsrc/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .obj .s .c

# Defines for executables. AR is used within this makefile, the others are
# passed to the submakes and contain paths relative to the subdirectories
# handled by the make subprocesses.
AR = ../src/ar65/ar65
AS = ../../src/ca65/ca65
CC = ../../src/cc65/cc65
LD = ../../src/ld65/ld65

# List of all targets
ALLTARGETS =   	apple2 		\
		apple2enh	\
       	       	atari  		\
       	       	atmos  		\
                c16    		\
       	       	c128   		\
       	       	c64    		\
       	       	cbm510 		\
       	       	cbm610 		\
       	       	geos   		\
		lynx		\
                nes     	\
       	       	pet    		\
       	       	plus4   	\
		supervision	\
		vic20

#-----------------------------------------------------------------------------

.PHONY:	all
all:
	for tgt in $(ALLTARGETS); do		\
	    $(MAKE) clean "$$tgt"lib || exit 1;	\
	done

#-----------------------------------------------------------------------------
# Apple ][

apple2lib:
	for i in apple2 common runtime conio dbg em joystick mouse serial tgi zlib; do \
       	    $(MAKE) SYS=apple2 -C $$i || exit 1; \
	    $(AR) a apple2.lib $$i/*.o;\
	done
	cp apple2/apple2-auxmem.emd a2.auxmem.emd
	cp apple2/apple2-stdjoy.joy a2.stdjoy.joy
	cp apple2/apple2-stdmou.mou a2.stdmou.mou
	cp apple2/apple2-ssc.ser a2.ssc.ser
	cp apple2/apple2-280-192-8.tgi a2.hi.tgi
	cp apple2/apple2-40-48-16.tgi a2.lo.tgi
	if [ -d apple2/extra ]; then \
	    for i in apple2/extra/*.o; do \
	       	cp $$i apple2-`basename $$i`; \
	    done \
	fi \

#-----------------------------------------------------------------------------
# enhanced Apple //e

apple2enhlib:
	for i in apple2enh common runtime conio dbg em joystick mouse serial tgi zlib; do \
	    $(MAKE) SYS=apple2enh -C $$i || exit 1; \
	    $(AR) a apple2enh.lib $$i/*.o;\
	done
	cp apple2enh/apple2-auxmem.emd a2e.auxmem.emd
	cp apple2enh/apple2-stdjoy.joy a2e.stdjoy.joy
	cp apple2enh/apple2-stdmou.mou a2e.stdmou.mou
	cp apple2enh/apple2-ssc.ser a2e.ssc.ser
	cp apple2enh/apple2-280-192-8.tgi a2e.hi.tgi
	cp apple2enh/apple2-40-48-16.tgi a2e.lo.tgi
	if [ -d apple2enh/extra ]; then \
	    for i in apple2enh/extra/*.o; do \
	       	cp $$i apple2enh-`basename $$i`; \
	    done \
	fi \

#-----------------------------------------------------------------------------
# Atari

atarilib:
	for i in atari common runtime conio dbg em joystick tgi zlib; do \
       	    $(MAKE) SYS=atari -C $$i || exit 1; \
	    $(AR) a atari.lib $$i/*.o;\
	done
	cp atari/atari-stdjoy.joy ataristd.joy
	cp atari/atari-multijoy.joy atarimj8.joy

#-----------------------------------------------------------------------------
# Oric Atmos

atmoslib:
	for i in atmos common conio runtime em joystick tgi zlib; do \
       	    $(MAKE) SYS=atmos -C $$i || exit 1; \
	    $(AR) a atmos.lib $$i/*.o;\
	done
	cp atmos/*.tgi .

#-----------------------------------------------------------------------------
# C16, C116

c16lib:
	for i in c16 cbm common runtime conio dbg em joystick tgi zlib; do \
       	    $(MAKE) SYS=c16 -C $$i || exit 1; \
	    $(AR) a c16.lib $$i/*.o;\
	done
	cp c16/*.joy .
	cp c16/*.emd .

#-----------------------------------------------------------------------------
# C64

c64lib:
	for i in c64 cbm common runtime conio dbg em joystick mouse serial tgi zlib; do \
	    $(MAKE) SYS=c64 -C $$i || exit 1; \
	    $(AR) a c64.lib $$i/*.o;\
	done
	cp c64/*.emd .
	cp c64/*.joy .
	cp c64/c64-1351.mou .
	cp c64/c64-joymouse.mou c64-joy.mou
	cp c64/c64-potmouse.mou c64-pot.mou
	cp c64/*.ser .
	cp c64/c64-320-200-2.tgi c64-hi.tgi

#-----------------------------------------------------------------------------
# C128

c128lib:
	for i in c128 cbm common runtime conio dbg em joystick mouse serial tgi zlib; do \
	    $(MAKE) SYS=c128 -C $$i || exit 1; \
	    $(AR) a c128.lib $$i/*.o;\
	done
	cp c128/*.emd .
	cp c128/*.joy .
	cp c128/c128-1351.mou .
	cp c128/c128-joymouse.mou c128-joy.mou
	cp c128/c128-potmouse.mou c128-pot.mou
	cp c128/*.ser .
	cp c128/c128-640-200-2.tgi c128-vdc.tgi
	cp c128/c128-640-480-2.tgi c128-vdc2.tgi

#-----------------------------------------------------------------------------
# Commdore P500 / CBM 5x0

cbm510lib:
	for i in cbm510 cbm common runtime conio dbg em joystick serial tgi zlib; do \
	    $(MAKE) SYS=cbm510 -C $$i || exit 1; \
	    $(AR) a cbm510.lib $$i/*.o;\
	done
	cp cbm510/*.emd .
	cp cbm510/cbm510-stdjoy.joy cbm510-std.joy
	cp cbm510/cbm510-stdser.ser cbm510-std.ser

#-----------------------------------------------------------------------------
# PET-II series

cbm610lib:
	for i in cbm610 cbm common runtime conio dbg em joystick serial tgi zlib; do \
	    $(MAKE) SYS=cbm610 -C $$i || exit 1; \
	    $(AR) a cbm610.lib $$i/*.o;\
	done
	cp cbm610/*.emd .
	cp cbm610/cbm610-stdser.ser cbm610-std.ser

#-----------------------------------------------------------------------------
# GEOS on the C64/128

geoslib:
	CC=../$(CC) \
	AS=../$(AS) \
	AR=../$(AR) \
       	LD=../$(LD) \
	AFLAGS="-t geos -I../../../asminc" \
	CFLAGS="-Osir -g -T -t geos --forget-inc-paths -I. -I../../../include" \
	$(MAKE) -C geos || exit 1
	for i in em joystick tgi conio common runtime zlib; do \
	    CC=$(CC) \
	    AS=$(AS) \
	    LD=$(LD) \
	    AR=$(AR) \
	    AFLAGS="-t geos -I../../asminc" \
	    CFLAGS="-Osir -g -T -t geos --forget-inc-paths -I. -I../../include" \
	    $(MAKE) SYS=geos -C $$i || exit 1; \
	    for objfile in $$i/*.o; do \
	        if [ -f geos/$$objfile ]; then \
	      	    $(AR) a geos.lib geos/$$objfile; \
	      	else \
	      	    $(AR) a geos.lib $$objfile; \
	      	fi; \
	    done \
	done
	cp geos/devel/*.emd .
	cp geos/devel/*.joy .
	cp geos/devel/geos-tgi.tgi geos-tgi.tgi

#-----------------------------------------------------------------------------
# Lynx

lynxlib:
	for i in lynx common conio runtime em joystick serial tgi zlib; do \
	    $(MAKE) SYS=lynx -C $$i || exit 1; \
	    $(AR) a lynx.lib $$i/*.o;\
	done
	cp lynx/*.joy .
	cp lynx/*.tgi .
	cp lynx/*.ser .

#-----------------------------------------------------------------------------
# NES

neslib:
	for i in nes common runtime conio em joystick tgi zlib; do \
	    $(MAKE) SYS=nes -C $$i || exit 1; \
	    $(AR) a nes.lib $$i/*.o;\
	done
	cp nes/*.joy .

#-----------------------------------------------------------------------------
# CBM PET machines

petlib:
	for i in pet cbm common runtime conio dbg em joystick tgi zlib; do \
	    $(MAKE) SYS=pet -C $$i || exit 1; \
	    $(AR) a pet.lib $$i/*.o;\
	done
	cp pet/*.joy .

#-----------------------------------------------------------------------------
# Commodore Plus/4

plus4lib:
	for i in plus4 cbm common runtime conio dbg em joystick serial tgi zlib; do \
	    $(MAKE) SYS=plus4 -C $$i || exit 1; \
	    $(AR) a plus4.lib $$i/*.o;\
	done
	cp plus4/*.joy .
	cp plus4/*.ser .

#-----------------------------------------------------------------------------
# Supervision

supervisionlib:
	for i in supervision common runtime; do \
	    $(MAKE) SYS=supervision -C $$i || exit 1; \
	    $(AR) a supervision.lib $$i/*.o;\
	done

#-----------------------------------------------------------------------------
# Vic20

vic20lib:
	for i in vic20 cbm common runtime conio dbg em joystick tgi zlib; do \
	    $(MAKE) SYS=vic20 -C $$i || exit 1; \
	    $(AR) a vic20.lib $$i/*.o;\
	done
	cp vic20/*.joy .

#-----------------------------------------------------------------------------
# Dummy targets

.PHONY: clean
clean:
	@for i in cbm common conio dbg em joystick mouse runtime serial tgi zlib $(ALLTARGETS); do\
       	   $(MAKE) -C $$i clean;			      		   	\
	done

.PHONY: zap
zap:	clean
	@for i in cbm common conio dbg em joystick mouse runtime tgi zlib $(ALLTARGETS); do\
	   $(MAKE) -C $$i zap;     	    	       	      	   		\
	done
	@$(RM) *.o *.emd *.joy *.lib *.tgi *.ser *.mou

=== cc65/samples/Makefile ===
#
# Makefile for cc65 samples
#
# This Makefile requires GNU make
#

# Enter the target system here
SYS	= c64

# Determine the path to the executables and libraries. If the samples
# directory is part of a complete source tree, use the stuff from that
# source tree; otherwise, use the "install" directories.
ifeq "$(wildcard ../src)" ""
# No source tree
MOUS = /usr/lib/cc65/mou/$(SYS)*.mou
TGI  = /usr/lib/cc65/tgi/$(SYS)*.tgi
ifneq "$(wildcard /usr/local/lib/cc65)" ""
MOUS = /usr/local/lib/cc65/mou/$(SYS)*.mou
TGI  = /usr/local/lib/cc65/tgi/$(SYS)*.tgi
endif
ifdef CC65_HOME
MOUS = $(CC65_HOME)/mou/$(SYS)*.mou
TGI  = $(CC65_HOME)/tgi/$(SYS)*.tgi
endif
CLIB = --lib $(SYS).lib
CL   = cl65
CC   = cc65
AS   = ca65
LD   = ld65

else
# "samples/" is a part of a complete source tree.
CA65_INC = ../asminc
CC65_INC = ../include
LD65_CFG = ../src/ld65/cfg
LD65_LIB = ../libsrc
LD65_OBJ = ../libsrc
MOUS = ../libsrc/$(SYS)*.mou
TGI  = ../libsrc/$(SYS)*.tgi
CLIB = ../libsrc/$(SYS).lib
CL   = ../src/cl65/cl65
CC   = ../src/cc65/cc65
AS   = ../src/ca65/ca65
LD   = ../src/ld65/ld65

MY_INC = --forget-inc-paths -I . -I $(CC65_INC)
MY_ASM = --forget-inc-paths -I . -I $(CA65_INC)
endif

# This one comes with VICE
C1541  	= c1541


# --------------------------------------------------------------------------
# Generic rules

.c.o:
	@echo $<
	@$(CC) $(MY_INC) -Oirs --codesize 500 -T -g -t $(SYS) $<
	@$(AS) $(basename $<).s

.s.o:
	@echo $<
	@$(AS) $(MY_ASM) -t $(SYS) $<

.o:
	@$(LD) -t $(SYS) -m $(basename $@).map -o $@ $^ $(CLIB)


# --------------------------------------------------------------------------
# List of executables. This list could be made target dependent by checking
# $(SYS).

EXELIST	=	ascii 		\
     		diodemo		\
     		fire 		\
     		gunzip65 	\
     		hello 		\
		mandelbrot	\
     		mousedemo 	\
     		nachtm 		\
     		overlaydemo	\
     		plasma 		\
     		sieve 		\
     		tgidemo

# --------------------------------------------------------------------------
# Rules how to make each one of the binaries

.PHONY:	all
all:   	$(EXELIST)

ascii:		ascii.o

diodemo:	diodemo.o

fire:		fire.o

gunzip65:	gunzip65.o

hello:		hello.o

# The Apple machines need the start address adjusted for the mandelbrot demo
ifeq "$(SYS)" "apple2"
mandelbrot:	mandelbrot.o
	@$(LD) -t $(SYS) -m $(basename $@).map --start-addr 0x4000 -o $@ $^ $(CLIB)
else
ifeq "$(SYS)" "apple2enh"
mandelbrot:	mandelbrot.o
	@$(LD) -t $(SYS) -m $(basename $@).map --start-addr 0x4000 -o $@ $^ $(CLIB)
else
mandelbrot:	mandelbrot.o
endif
endif

# The Apple ][ needs the start address adjusted for the mousedemo
ifeq "$(SYS)" "apple2"
mousedemo:	mousedemo.o
	@$(LD) -t $(SYS) -m $(basename $@).map --start-addr 0x4000 -o $@ $^ $(CLIB)
else
mousedemo:	mousedemo.o
endif

nachtm:		nachtm.o

overlaydemo:	overlaydemo.o
	@$(LD) -C overlaydemo-$(SYS).cfg -m $(basename $@).map -o $@ $^ $(CLIB)

plasma:		plasma.o

sieve:		sieve.o

# The Apple machines need the start address adjusted for the tgidemo
ifeq "$(SYS)" "apple2"
tgidemo:	tgidemo.o
	@$(LD) -t $(SYS) -m $(basename $@).map --start-addr 0x4000 -o $@ $^ $(CLIB)
else
ifeq "$(SYS)" "apple2enh"
tgidemo:	tgidemo.o
	@$(LD) -t $(SYS) -m $(basename $@).map --start-addr 0x4000 -o $@ $^ $(CLIB)
else
tgidemo:	tgidemo.o
endif
endif

# --------------------------------------------------------------------------
# Rule to make a disk with all samples. Needs the c1541 program that comes
# with the VICE emulator.

.PHONY:	disk
disk:  	samples.d64

samples.d64:	all
	@$(C1541) -format samples,AA  d64 $@ > /dev/null
	@for exe in $(EXELIST); do\
	    $(C1541) -attach $@ -write $$exe > /dev/null || exit $$?;\
	done
	@for mod in $(TGI) $(MOUS); do\
	    $(C1541) -attach $@ -write $$mod > /dev/null || exit $$?;\
	done

# --------------------------------------------------------------------------
# Cleanup rules

.PHONY:	clean
clean:
	$(RM) *~ *.map *.o *.s *.lbl

.PHONY:	zap
zap:	clean
	$(RM) $(EXELIST) overlaydemo.* samples.d64

=== cc65/libsrc/apple2/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Programs and flags

SYS	= apple2

AS	= ../../src/ca65/ca65
CC	= ../../src/cc65/cc65
LD	= ../../src/ld65/ld65

AFLAGS	= -t $(SYS) --forget-inc-paths -I../../asminc
CFLAGS	= -Osir -g -T -t $(SYS) --forget-inc-paths -I . -I ../../include

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

%.emd:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.joy:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.mou:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.ser:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.tgi:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

#--------------------------------------------------------------------------
# Object files

C_OBJS=	closedir.o	\
	opendir.o	\
	readdir.o	\
	rewinddir.o

S_OBJS=	_scrsize.o	\
     	break.o		\
     	cclear.o	\
     	cgetc.o		\
     	chline.o	\
	close.o		\
     	clrscr.o	\
     	color.o		\
        cout.o          \
     	cputc.o		\
     	crt0.o		\
     	ctype.o		\
     	cvline.o	\
	dioclose.o	\
	diocommon.o	\
	dioopen.o	\
	dioread.o	\
	diosectcount.o	\
	diosectsize.o	\
	diowrite.o	\
	dosdetect.o	\
	filedes.o	\
	fileerr.o	\
	filename.o	\
        get_ostype.o    \
	gotoxy.o	\
	gotoy.o		\
        home.o          \
	initcwd.o	\
	iobuf.o         \
        joy_stddrv.o    \
     	kbhit.o		\
        mainargs.o      \
	mcbdefault.o	\
	mli.o		\
        mouse_stddrv.o  \
	open.o		\
        oserrlist.o     \
	oserror.o	\
        randomize.o     \
        rdkey.o         \
     	read.o          \
     	reboot.o        \
     	revers.o	\
	rwcommon.o	\
	syschdir.o	\
	sysmkdir.o	\
	sysremove.o	\
	sysrename.o	\
	sysrmdir.o	\
        systime.o       \
        sysuname.o      \
        tgi_mode_table.o\
        vtabz.o         \
     	wherex.o       	\
       	wherey.o        \
	write.o

S_EXTRA_OBJS=			\
	extra/iobuf-0800.o

#--------------------------------------------------------------------------
# Drivers

EMDS = apple2-auxmem.emd

JOYS = apple2-stdjoy.joy

MOUS = apple2-stdmou.mou

SERS = apple2-ssc.ser

TGIS = apple2-280-192-8.tgi apple2-40-48-16.tgi

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all: 	$(C_OBJS) $(S_OBJS) $(S_EXTRA_OBJS) $(EMDS) $(JOYS) $(MOUS) $(SERS) $(TGIS)

../runtime/zeropage.o:
	$(MAKE) -C $(dir $@) $(notdir $@)

clean:
	@$(RM) $(C_OBJS:.o=.s) $(C_OBJS) $(S_OBJS) $(S_EXTRA_OBJS) $(EMDS:.emd=.o) $(JOYS:.joy=.o) $(MOUS:.mou=.o) $(SERS:.ser=.o) $(TGIS:.tgi=.o)

zap:   	clean
	@$(RM) $(EMDS) $(JOYS) $(MOUS) $(SERS) $(TGIS)

=== cc65/libsrc/apple2enh/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Programs and flags

SYS	= apple2enh

AS	= ../../src/ca65/ca65
CC	= ../../src/cc65/cc65
LD	= ../../src/ld65/ld65

AFLAGS	= -t $(SYS) --forget-inc-paths -I../apple2 -I../../asminc
CFLAGS	= -Osir -g -T -t $(SYS) --forget-inc-paths -I ../apple2 -I ../../include

#--------------------------------------------------------------------------
# Rules

%.o:   	../apple2/%.c
	@$(CC) -o $(notdir $(*).s) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	../apple2/%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

extra/%.o: ../apple2/extra/%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

%.emd:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.joy:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.mou:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.ser:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.tgi:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

#--------------------------------------------------------------------------
# Object files

C_OBJS=	closedir.o	\
	opendir.o	\
	readdir.o	\
	rewinddir.o

S_OBJS=	_scrsize.o	\
     	break.o		\
     	cclear.o	\
     	cgetc.o		\
     	chline.o	\
	close.o		\
     	clrscr.o	\
     	color.o		\
        cout.o          \
     	cputc.o		\
     	crt0.o		\
     	ctype.o		\
     	cvline.o	\
	dioclose.o	\
	diocommon.o	\
	dioopen.o	\
	dioread.o	\
	diosectcount.o	\
	diosectsize.o	\
	diowrite.o	\
	dosdetect.o	\
	filedes.o	\
	fileerr.o	\
	filename.o	\
        get_ostype.o    \
	gotoxy.o	\
	gotoy.o		\
        home.o          \
	initcwd.o	\
	iobuf.o         \
        joy_stddrv.o    \
     	kbhit.o		\
        mainargs.o      \
	mcbdefault.o	\
	mli.o		\
        mouse_stddrv.o  \
	open.o		\
        oserrlist.o     \
	oserror.o	\
        randomize.o     \
        rdkey.o         \
     	read.o          \
     	reboot.o        \
     	revers.o	\
	rwcommon.o	\
	syschdir.o	\
	sysmkdir.o	\
	sysremove.o	\
	sysrename.o	\
	sysrmdir.o	\
        systime.o       \
        sysuname.o      \
	textframe.o	\
        tgi_mode_table.o\
        videomode.o     \
        vtabz.o         \
     	wherex.o       	\
       	wherey.o        \
	write.o

S_EXTRA_OBJS=			\
	extra/iobuf-0800.o

#--------------------------------------------------------------------------
# Drivers

EMDS = apple2-auxmem.emd

JOYS = apple2-stdjoy.joy

MOUS = apple2-stdmou.mou

SERS = apple2-ssc.ser

TGIS = apple2-280-192-8.tgi apple2-40-48-16.tgi

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all: 	$(C_OBJS) $(S_OBJS) $(S_EXTRA_OBJS) $(EMDS) $(JOYS) $(MOUS) $(SERS) $(TGIS)

../runtime/zeropage.o:
	$(MAKE) -C $(dir $@) $(notdir $@)

clean:
	@$(RM) $(C_OBJS:.o=.s) $(C_OBJS) $(S_OBJS) $(S_EXTRA_OBJS) $(EMDS:.emd=.o) $(JOYS:.joy=.o) $(MOUS:.mou=.o) $(SERS:.ser=.o) $(TGIS:.tgi=.o)

zap:   	clean
	@$(RM) $(EMDS) $(JOYS) $(MOUS) $(SERS) $(TGIS)

=== cc65/libsrc/atari/Makefile ===
#
# makefile for CC65 Atari runtime library
#
# NUMDRVS - number of supported drives (max. 16)
#           4 bytes for each device are statically allocated
# LINEBUF - support line buffered reads from E: (the number specifies
#           the length of the buffer)
# UCASE_FILENAME - all filenames get uppercased
# DEFAULT_DEVICE - if the string passed to the uppercase function doesn't
#                  include a device (":" at position 2 or 3), provide "Dn:"
#                  as a default disk device
#                  n is the value of DEFAULT_DEVICE, unless DYNAMIC_DD is
#                  also set, in which case it's overridden by a runtime
#                  check (on SpartaDOS only)
#                  needs UCASE_FILENAME to be defined, otherwise no effect
# DYNAMIC_DD     - determine default disk device at runtime (SpartaDOS only)
#                  needs DEFAULT_DEVICE to be defined, otherwise no effect

ATARIDEFS =  -DNUMDRVS=4 -DUCASE_FILENAME=1 -DDEFAULT_DEVICE=1 -DLINEBUF=80
ATARIDEFS += -DDYNAMIC_DD=1

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Programs and flags

SYS	= atari

AS	= ../../src/ca65/ca65
CC	= ../../src/cc65/cc65
LD	= ../../src/ld65/ld65

AFLAGS	= -t $(SYS) --forget-inc-paths -I../../asminc
CFLAGS	= -Osir -g -T -t $(SYS) --forget-inc-paths -I . -I ../../include

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $(ATARIDEFS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $(ATARIDEFS) $<

%.emd:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.joy:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.tgi:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

#--------------------------------------------------------------------------
# Object files

OBJS = 	_scrsize.o      \
	break.o         \
	cclear.o        \
	cgetc.o         \
	chline.o        \
	clock.o         \
	close.o         \
	clrscr.o        \
	color.o         \
	cputc.o         \
	crt0.o 	        \
	ctype.o         \
	cvline.o        \
	dio_cts.o       \
	dio_stc.o       \
	diopncls.o      \
	dioqsize.o      \
	dioread.o       \
	diowrite.o      \
	diowritev.o     \
	dosdetect.o     \
	fdtable.o       \
	getargs.o       \
	getdefdev.o     \
	getfd.o         \
	gotox.o         \
	gotoy.o         \
	gotoxy.o        \
	graphics.o      \
	joy_stddrv.o    \
	kbhit.o         \
	lseek.o         \
	mouse.o         \
	mul40.o         \
	open.o 	        \
	oserrlist.o     \
	oserror.o       \
	ostype.o        \
        posixdirent.o   \
	randomize.o     \
	read.o 	        \
	revers.o        \
	rs232.o	        \
	rwcommon.o      \
	savevec.o       \
	scroll.o        \
	setcolor.o      \
	siocall.o       \
	sysmkdir.o      \
	sysremove.o     \
	sysrmdir.o      \
	systime.o       \
	sysuname.o      \
	tvtype.o        \
	ucase_fn.o      \
	wherex.o        \
	wherey.o        \
	write.o


#--------------------------------------------------------------------------
# Drivers

EMDS =

JOYS = atari-stdjoy.joy atari-multijoy.joy

TGIS =

#--------------------------------------------------------------------------
# Targets

all: 	$(OBJS) $(EMDS) $(JOYS) $(TGIS)

../runtime/zeropage.o:
	$(MAKE) -C $(dir $@) $(notdir $@)

clean:
	@$(RM) $(OBJS) $(EMDS:.emd=.o) $(JOYS:.joy=.o) $(TGIS:.tgi=.o)

zap:	clean
	@$(RM) $(EMDS) $(JOYS) $(TGIS)

=== cc65/libsrc/atmos/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Programs and flags

SYS	= atmos

AS	= ../../src/ca65/ca65
CC	= ../../src/cc65/cc65
LD	= ../../src/ld65/ld65

AFLAGS	= -t $(SYS) --forget-inc-paths -I../../asminc
CFLAGS	= -Osir -g -T -t $(SYS) --forget-inc-paths -I . -I ../../include

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

%.emd:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.joy:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.mou:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.ser:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.tgi:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

#--------------------------------------------------------------------------
# Object files

OBJS  =	_scrsize.o      \
        cclear.o        \
        cgetc.o         \
        chline.o        \
        clock.o         \
        clrscr.o        \
        color.o         \
        cputc.o         \
        crt0.o          \
        ctype.o         \
        cvline.o        \
        gotox.o         \
        gotoxy.o        \
        gotoy.o         \
        kbhit.o         \
        mainargs.o      \
        oserrlist.o     \
        revers.o        \
        systime.o       \
        sysuname.o      \
        wherex.o        \
        wherey.o        \
        write.o

#--------------------------------------------------------------------------
# Drivers

EMDS =

JOYS =

MOUS =

SERS =

TGIS = atmos-240-200-2.tgi

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all: 	$(OBJS) $(EMDS) $(JOYS) $(MOUS) $(SERS) $(TGIS)

../runtime/zeropage.o:
	$(MAKE) -C $(dir $@) $(notdir $@)

clean:
	@$(RM) $(OBJS) $(EMDS:.emd=.o) $(JOYS:.joy=.o) $(MOUS:.mou=.o) $(SERS:.ser=.o) $(TGIS:.tgi=.o)

zap:	clean
	@$(RM) $(EMDS) $(JOYS) $(MOUS) $(SERS) $(TGIS)

=== cc65/libsrc/c128/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Programs and flags

SYS	= c128

AS	= ../../src/ca65/ca65
CC	= ../../src/cc65/cc65
LD	= ../../src/ld65/ld65

AFLAGS	= -t $(SYS) --forget-inc-paths -I../../asminc
CFLAGS	= -Osir -g -T -t $(SYS) --forget-inc-paths -I . -I ../../include

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

%.emd:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.joy:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.mou:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.ser:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.tgi:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

#--------------------------------------------------------------------------
# Object files

OBJS =	_scrsize.o		\
	break.o	       		\
	c64mode.o		\
     	cgetc.o	       		\
       	clrscr.o       		\
      	conio.o	       		\
     	crt0.o	       		\
       	color.o	       		\
     	cputc.o	       		\
       	devnum.o       	 	\
	fast.o			\
        get_tv.o        	\
	joy_stddrv.o		\
     	kbhit.o	       		\
        kernal.o        	\
        mainargs.o              \
	mcbdefault.o		\
        mouse_stddrv.o          \
        randomize.o     	\
        revers.o        	\
	slow.o			\
        systime.o               \
        sysuname.o              \
	tgi_mode_table.o	\
	toggle_videomode.o      \
        videomode.o

#--------------------------------------------------------------------------
# Drivers

EMDS = c128-georam.emd c128-ram.emd c128-ramcart.emd c128-reu.emd c128-vdc.emd

JOYS = c128-ptvjoy.joy c128-stdjoy.joy

MOUS = c128-1351.mou c128-joymouse.mou c128-potmouse.mou

SERS = c128-swlink.ser

TGIS = c128-640-200-2.tgi c128-640-480-2.tgi

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all:   	$(OBJS) $(EMDS) $(JOYS) $(MOUS) $(SERS) $(TGIS)

../runtime/zeropage.o:
	$(MAKE) -C $(dir $@) $(notdir $@)

clean:
	@$(RM) $(OBJS) $(EMDS:.emd=.o) $(JOYS:.joy=.o) $(MOUS:.mou=.o) $(SERS:.ser=.o) $(TGIS:.tgi=.o)


zap:	clean
	@$(RM) $(EMDS) $(JOYS) $(MOUS) $(SERS) $(TGIS)

=== cc65/libsrc/c16/Makefile ===
#
# makefile for CC65 runtime library (C16)
#

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Programs and flags

SYS	= c16

AS	= ../../src/ca65/ca65
CC	= ../../src/cc65/cc65
LD	= ../../src/ld65/ld65

AFLAGS	= -t $(SYS) --forget-inc-paths -I. -I../../asminc
CFLAGS	= -Osir -g -T -t $(SYS) --forget-inc-paths -I . -I ../../include

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

%.emd:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.joy:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.ser:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.tgi:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

#--------------------------------------------------------------------------
# Object files

OBJS =	_scrsize.o   	\
	break.o	     	\
       	cgetc.o	       	\
	clrscr.o     	\
	color.o	     	\
	conio.o	     	\
	cputc.o	     	\
	crt0.o	     	\
	devnum.o       	\
        get_tv.o        \
	joy_stddrv.o	\
	kbhit.o	     	\
        kclose.o        \
        kernal.o        \
        mainargs.o      \
        randomize.o     \
        revers.o        \
        systime.o       \
        sysuname.o

#--------------------------------------------------------------------------
# Drivers

EMDS = c16-ram.emd

JOYS = c16-stdjoy.joy

SERS =

TGIS =

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all: 	$(OBJS) $(EMDS) $(JOYS) $(SERS) $(TGIS)

../runtime/zeropage.o:
	$(MAKE) -C $(dir $@) $(notdir $@)

clean:
	@$(RM) $(OBJS) $(EMDS:.emd=.o) $(JOYS:.joy=.o) $(SERS:.ser=.o) $(TGIS:.tgi=.o)

zap:	clean
	@$(RM) $(EMDS) $(JOYS) $(SERS) $(TGIS)

=== cc65/libsrc/c64/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .s .c


#--------------------------------------------------------------------------
# Programs and flags

SYS	= c64

AS	= ../../src/ca65/ca65
CC	= ../../src/cc65/cc65
LD	= ../../src/ld65/ld65

AFLAGS	= -t $(SYS) --forget-inc-paths -I../../asminc
CFLAGS	= -Osir -g -T -t $(SYS) --forget-inc-paths -I . -I ../../include

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

%.emd:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.joy:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.mou:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.ser:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.tgi:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

#--------------------------------------------------------------------------
# Object files

OBJS = 	_scrsize.o     	 	\
       	break.o	       	 	\
       	crt0.o 	       	 	\
       	cgetc.o	       	 	\
       	clrscr.o       	 	\
       	color.o	       	 	\
       	conio.o	       	 	\
       	cputc.o	       	 	\
       	devnum.o       	 	\
        get_ostype.o            \
        get_tv.o                \
	joy_stddrv.o		\
       	kbhit.o	       	 	\
        kernal.o                \
        kplot.o                 \
        mainargs.o              \
        mcbdefault.o            \
        mouse_stddrv.o          \
        randomize.o             \
        revers.o                \
        systime.o               \
        sysuname.o              \
        tgi_mode_table.o

#--------------------------------------------------------------------------
# Drivers

EMDS = c64-georam.emd c64-ram.emd c64-ramcart.emd c64-reu.emd c64-vdc.emd dtv-himem.emd

JOYS = c64-hitjoy.joy c64-numpad.joy c64-ptvjoy.joy c64-stdjoy.joy

MOUS = c64-1351.mou c64-joymouse.mou c64-potmouse.mou

SERS = c64-swlink.ser

TGIS = c64-320-200-2.tgi

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all: 	$(OBJS) $(EMDS) $(JOYS) $(MOUS) $(SERS) $(TGIS)

../runtime/zeropage.o:
	$(MAKE) -C $(dir $@) $(notdir $@)

clean:
	@$(RM) $(OBJS) $(EMDS:.emd=.o) $(JOYS:.joy=.o) $(MOUS:.mou=.o) $(SERS:.ser=.o) $(TGIS:.tgi=.o)

zap:	clean
	@$(RM) $(EMDS) $(JOYS) $(MOUS) $(SERS) $(TGIS)

=== cc65/libsrc/cbm/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Programs and flags

SYS	= none

AS	= ../../src/ca65/ca65
CC	= ../../src/cc65/cc65
LD	= ../../src/ld65/ld65

AFLAGS	= -t $(SYS) --forget-inc-paths -I../../asminc
CFLAGS	= -Osir -g -T -t $(SYS) --forget-inc-paths -I . -I ../../include

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

#--------------------------------------------------------------------------
# Object files

C_OBJS =       	cbm_dir.o       \
                cbm_load.o	\
		cbm_save.o

S_OBJS =	c_acptr.o	\
	 	c_basin.o 	\
		c_bsout.o	\
		c_chkin.o	\
	 	c_ciout.o	\
		c_ckout.o 	\
		c_clall.o	\
		c_close.o 	\
		c_clrch.o 	\
		c_iobase.o	\
		c_listen.o	\
		c_load.o	\
		c_open.o 	\
		c_readst.o 	\
		c_save.o	\
		c_setlfs.o	\
		c_setnam.o	\
		c_talk.o	\
		c_unlsn.o	\
		c_untlk.o	\
		cbm_close.o	\
		cbm_open.o 	\
		cbm_read.o 	\
		cbm_write.o     \
		cclear.o 	\
		chline.o 	\
	 	clock.o 	\
                close.o         \
		ctype.o 	\
		cvline.o 	\
                diskcmd.o       \
                filedes.o       \
                filename.o      \
                filevars.o      \
		gotox.o 	\
		gotoxy.o 	\
		gotoy.o 	\
                initcwd.o       \
                open.o          \
                oserrlist.o     \
		oserror.o	\
                read.o          \
                rwcommon.o      \
                scratch.o       \
                sysremove.o     \
                sysrename.o     \
		wherex.o        \
                wherey.o        \
                write.o

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all:	$(C_OBJS) $(S_OBJS)

clean:
	@$(RM) *~ *.bck $(C_OBJS:.o=.s) $(C_OBJS) $(S_OBJS)

zap:	clean

=== cc65/libsrc/cbm510/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Programs and flags

SYS	= cbm510

AS	= ../../src/ca65/ca65
CC	= ../../src/cc65/cc65
LD	= ../../src/ld65/ld65

AFLAGS	= -t $(SYS) --forget-inc-paths -I../../asminc
CFLAGS	= -Osir -g -T -t $(SYS) --forget-inc-paths -I . -I ../../include

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

%.emd:	%.o ../runtime/zeropage.o extzp.o
	@$(LD) -t module -o $@ $^

%.joy:	%.o ../runtime/zeropage.o extzp.o
	@$(LD) -t module -o $@ $^

%.ser:	%.o ../runtime/zeropage.o extzp.o
	@$(LD) -t module -o $@ $^

%.tgi:	%.o ../runtime/zeropage.o extzp.o
	@$(LD) -t module -o $@ $^

#--------------------------------------------------------------------------
# Object files

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

OBJS =	_scrsize.o	\
	banking.o	\
       	break.o		\
       	cgetc.o		\
	clrscr.o	\
       	color.o	 	\
	cputc.o		\
       	crt0.o 	 	\
       	devnum.o       	\
        extzp.o         \
       	kbhit.o	 	\
        kclose.o        \
        kernal.o        \
	kiobase.o	\
	kopen.o		\
        kreadst.o       \
	kscnkey.o	\
	kscreen.o	\
        ksetnam.o       \
	kudtim.o 	\
        mainargs.o      \
	peeksys.o	\
	pokesys.o	\
        randomize.o     \
	revers.o	\
        systime.o       \
        sysuname.o      \
	tgi_mode_table.o

#--------------------------------------------------------------------------
# Drivers

EMDS =	cbm510-ram.emd

JOYS = cbm510-stdjoy.joy

SERS = cbm510-stdser.ser

TGIS =

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all: 	$(OBJS) $(EMDS) $(JOYS) $(SERS) $(TGIS)

../runtime/zeropage.o:
	$(MAKE) -C $(dir $@) $(notdir $@)

clean:
	@$(RM) $(OBJS) $(EMDS:.emd=.o) $(JOYS:.joy=.o) $(SERS:.ser=.o) $(TGIS:.tgi=.o)

zap:	clean
	@$(RM) $(EMDS) $(JOYS) $(SERS) $(TGIS)

=== cc65/libsrc/cbm610/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Programs and flags

SYS	= cbm610

AS	= ../../src/ca65/ca65
CC	= ../../src/cc65/cc65
LD	= ../../src/ld65/ld65

AFLAGS	= -t $(SYS) --forget-inc-paths -I../../asminc
CFLAGS	= -Osir -g -T -t $(SYS) --forget-inc-paths -I . -I ../../include

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

%.emd:	%.o ../runtime/zeropage.o extzp.o
	@$(LD) -t module -o $@ $^

%.ser:	%.o ../runtime/zeropage.o extzp.o
	@$(LD) -t module -o $@ $^

%.tgi:	%.o ../runtime/zeropage.o extzp.o
	@$(LD) -t module -o $@ $^

#--------------------------------------------------------------------------
# Object files

OBJS =	_scrsize.o	\
	banking.o	\
       	break.o		\
       	cgetc.o		\
	clrscr.o	\
       	color.o		\
       	cputc.o		\
       	crt0.o 		\
       	crtc.o 		\
       	devnum.o       	\
        extzp.o         \
        get_tv.o        \
       	kbhit.o		\
	kclose.o	\
        kernal.o        \
        kiobase.o       \
        kopen.o         \
        krdtim.o        \
        kreadst.o       \
        kscnkey.o       \
        kscreen.o       \
        ksetnam.o       \
        ksettim.o       \
        kudtim.o        \
        mainargs.o      \
	peeksys.o	\
	pokesys.o	\
        randomize.o     \
	revers.o	\
        systime.o       \
        sysuname.o

#--------------------------------------------------------------------------
# Drivers

EMDS =	cbm610-ram.emd

JOYS =

SERS = cbm610-stdser.ser

TGIS =

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all: 	$(OBJS) $(EMDS) $(JOYS) $(SERS) $(TGIS)

../runtime/zeropage.o:
	$(MAKE) -C $(dir $@) $(notdir $@)

clean:
	@$(RM) $(OBJS) $(EMDS:.emd=.o) $(JOYS:.joy=.o) $(SERS:.ser=.o) $(TGIS:.tgi=.o)

zap:	clean
	@$(RM) $(EMDS) $(JOYS) $(SERS) $(TGIS)

=== cc65/packages/debian/changelog ===
cc65 (2.11.0-1) stable; urgency=low

  * New upstream version
  * Adjusted to sarge

 -- Spiro Trikaliotis <ml-cc65@trikaliotis.net>  Mon, 22 Aug 2005 20:45:00 +0100

cc65 (2.9.0-1) stable; urgency=low

  * New upstream version
  * we're working in stable here

 -- Michael Klein <michael.klein@puffin.lb.shuttle.de>  Sun, 19 Jan 2003 17:19:00 +0100

cc65 (2.8.0-2) unstable; urgency=low

  * debian/control: Suggest target packages, don't recommend them

 -- Michael Klein <michael.klein@puffin.lb.shuttle.de>  Sat, 21 Sep 2002 20:39:53 +0200

cc65 (2.8.0-1) unstable; urgency=low

  * Initial release.

 -- Michael Klein <michael.klein@puffin.lb.shuttle.de>  Sun,  1 Sep 2002 15:28:51 +0200

Local variables:
mode: debian-changelog
End:

=== cc65/packages/debian/control ===
Source: cc65
Section: non-free/devel
Priority: optional
Maintainer: Michael Klein <michael.klein@puffin.lb.shuttle.de>
Build-Depends: debhelper, linuxdoc-tools, perl
Standards-Version: 3.2.1

Package: cc65
Suggests: cc65-apple2, cc65-atari, cc65-c128, cc65-c64, cc65-cbm510, cc65-cbm610, cc65-geos, cc65-pet, cc65-plus4, cc65-c16, cc65-vic20
Architecture: any
Depends: ${shlibs:Depends}
Description: Crosscompiler/Crossassembler for 6502 systems
 A C crosscompiler for 6502 systems, including a macroassembler that
 supports 6502, 65SC02 and 65816 CPUs, a linker, an archiver and some
 other tools. To create programs for one of the supported target
 machines, you have to install at least one of the library packages.

Package: cc65-apple2
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: Apple ][ specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Apple ][ using the cc65 crosscompiler.

Package: cc65-atari
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: Atari specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the 8 bit Atari machines using the cc65 crosscompiler.

Package: cc65-c128
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: C128 specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Commodore C128 using the cc65 crosscompiler.

Package: cc65-c64
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: C64 specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Commodore C64 using the cc65 crosscompiler.

Package: cc65-cbm510
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: CBM 510 specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Commodore CBM 510 (aka P500) using the cc65
 crosscompiler.

Package: cc65-cbm610
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: CBM 610 specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Commodore PET-II (CBM600/700) family of computers using
 the cc65 crosscompiler.

Package: cc65-geos
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: GEOS specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 GEOS programs for the C64/C128 using the cc65 crosscompiler.

Package: cc65-pet
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: PET specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Commodore PET family of computers using the cc65
 crosscompiler

Package: cc65-plus4
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: Plus/4 specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Commodore Plus/4 and C16/116 using the cc65
 crosscompiler.

Package: cc65-c16
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: C16/116 specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Commodore C16/116 using the cc65 crosscompiler.

Package: cc65-vic20
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: VIC20 specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Commodore VIC20 using the cc65 crosscompiler.

=== cc65/packages/debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

export DH_COMPAT=3

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C src -f make/gcc.mak
	$(MAKE) -C libsrc
	$(MAKE) -C doc all

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	dh_clean
	-rm -f build-stamp
	-$(MAKE) -C src -f make/gcc.mak zap
	-$(MAKE) -C libsrc zap
	-$(MAKE) -C doc zap
	-rm -f `find . -name "*~"`

binary-indep: build
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	for arch in apple2 atari c128 c64 cbm510 cbm610 geos pet plus4 c16 vic20; do \
	  install -m0755 -d debian/cc65-$$arch/usr/lib/cc65/lib; \
	  install -m0644 `pwd`/libsrc/$$arch.lib debian/cc65-$$arch/usr/lib/cc65/lib/; \
	  install -m0644 `pwd`/libsrc/$$arch.o debian/cc65-$$arch/usr/lib/cc65/lib/; \
	  for f in `pwd`/libsrc/$$arch-*.emd; do \
	    if [ -f $$f ]; then \
	      install -m0755 -d debian/cc65-$$arch/usr/lib/cc65/emd; \
	      install -m0644 $$f debian/cc65-$$arch/usr/lib/cc65/emd/;  \
	    fi; \
	  done; \
	  for f in `pwd`/libsrc/$$arch-*.tgi; do \
	    if [ -f $$f ]; then \
	      install -m0755 -d debian/cc65-$$arch/usr/lib/cc65/tgi; \
	      install -m0644 $$f debian/cc65-$$arch/usr/lib/cc65/tgi/;  \
	    fi; \
	  done; \
	  dh_installdocs -p cc65-$$arch src/ld65/cfg/$$arch.cfg; \
	done
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: checkroot build
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a
	dh_installmenu -a
	for bin in ar65 ca65 cc65 cl65 da65 grc ld65 od65 ca65html; do \
	  install -m0755 `pwd`/src/$$bin/$$bin debian/cc65/usr/bin; \
	done
	for info in ar65 ca65 cc65 cl65 ld65 debugging dio geos coding intro library; do \
	  install -m0755 `pwd`/doc/$$info.info* debian/cc65/usr/share/info; \
	done
	install -m0644 `pwd`/include/*.h           debian/cc65/usr/lib/cc65/include
	install -m0644 `pwd`/include/geos/*.h      debian/cc65/usr/lib/cc65/include/geos
	install -m0644 `pwd`/include/tgi/*.h       debian/cc65/usr/lib/cc65/include/tgi
	install -m0644 `pwd`/asminc/*.inc          debian/cc65/usr/lib/cc65/asminc
	dh_installman -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installchangelogs -a
	dh_compress -a
	dh_fixperms -a
	dh_strip
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot
